from AccessControl.Permissions import add_user_folders
from Products.PluggableAuthService.PluggableAuthService import registerMultiPlugin

from plugin import CheckIPPlugin, manage_addCheckIPPlugin, manage_addCheckIPPluginForm

def initialize(context):
    """ Initialize the CheckIPPlugin """
    registerMultiPlugin(CheckIPPlugin.meta_type)

    context.registerClass(CheckIPPlugin,
                          permission=add_user_folders,
                          constructors=(manage_addCheckIPPluginForm, manage_addCheckIPPlugin),
                          icon='www/checkip.png',
                          visibility=None)
